Bug 491572 (CVE-2009-1072) - CVE-2009-1072 kernel: nfsd should drop CAP_MKNOD for non-root
Summary: CVE-2009-1072 kernel: nfsd should drop CAP_MKNOD for non-root
Status: ASSIGNED
Alias: CVE-2009-1072
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20090319,source=lkml,reported=...
Keywords: Reopened, Security
Depends On: 499072 499073 499074 499075 499076
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-03-23 04:15 UTC by Eugene Teo (Security Response)
Modified: 2019-06-08 12:43 UTC (History)
10 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2009-03-27 07:02:51 UTC


Attachments (Terms of Use)
Upstream patch (1.55 KB, patch)
2009-03-23 04:18 UTC, Eugene Teo (Security Response)
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1081 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2009-06-03 15:36:49 UTC
Red Hat Product Errata RHSA-2009:1106 normal SHIPPED_LIVE Important: kernel security and bug fix update 2009-06-16 22:34:13 UTC
Red Hat Product Errata RHSA-2009:1132 normal SHIPPED_LIVE Important: kernel security and bug fix update 2009-06-30 08:06:02 UTC

Description Eugene Teo (Security Response) 2009-03-23 04:15:43 UTC
Description of problem:
Since creating a device node is normally an operation requiring special privilege, Igor Zhbanov points out that it is surprising (to say the least) that a client can, for example, create a device node on a filesystem exported with root_squash.

So, make sure CAP_MKNOD is among the capabilities dropped when an nfsd thread handles a request from a non-root user.

References:
http://groups.google.com/group/fa.linux.kernel/browse_thread/thread/665b99fdc970bee3
http://article.gmane.org/gmane.comp.security.oss.general/1581

Comment 11 errata-xmlrpc 2009-06-03 15:37:08 UTC
This issue has been addressed in following products:

  MRG for RHEL-5

Via RHSA-2009:1081 https://rhn.redhat.com/errata/RHSA-2009-1081.html

Comment 12 errata-xmlrpc 2009-06-16 22:34:37 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:1106 https://rhn.redhat.com/errata/RHSA-2009-1106.html

Comment 13 errata-xmlrpc 2009-06-30 08:06:28 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2009:1132 https://rhn.redhat.com/errata/RHSA-2009-1132.html


Note You need to log in before you can comment on or make changes to this bug.